# Administration Reference

## fs diskfree

Purpose

Displays information about the partition housing a directory or file

Synopsis

    fs diskfree [-path <dir/file path>+]  [-help]

    fs df [-p <dir/file path>+]  [-h]

    fs di [-p <dir/file path>+]  [-h]

Description

The fs diskfree command formats and displays information about the partition that houses the volume containing the specified directory or file, including its size and how much space is currently used.

To display information about the volume itself, use the fs examine command. The fs examine and fs quota commands also display information about a volume.

Cautions

The partition-related statistics in this command's output do not always agree with the corresponding values in the output of the standard UNIX df command. The statistics reported by this command can be up to five minutes old, because the Cache Manager polls the File Server for partition information at that frequency. Also, on some operating systems, the df command's report of partition size includes reserved space not included in this command's calculation, and so is likely to be about 10% larger.

Options

-path
  Names a file or directory that resides on the partition about which to produce output. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output reports the following information about the volume and partition that houses each file or directory:

`Volume Name`
  The name of the volume

`kbytes`
  The partition's total size in kilobytes

`used`
  The number of kilobytes used on the partition

`avail`
  The number of kilobytes available on the partition

`%used`
  The percentage of the partition's total space that is used (the `used` statistic divided by the `kbytes` statistic, times 100)

If the `%used` statistic is greater than 90%, it is marked with the string `<<WARNING` at the right margin.

If the volume is a read-only volume, the output includes information about only one of the partitions that houses it, generally the one on the file server machine with the lowest preference rank. To verify which machine the output is referring to, use the vos listvldb command to list the volume's locations, and the vos partinfo command to display the size of each one.

Examples

The following example shows the output for the partitions housing the volumes user.smith and sun4x_56.bin:

       % fs diskfree -path /afs/abc.com/usr/smith /afs/abc.com/sun4x_56/bin
       Volume Name     kbytes  used     avail     %used
       user.smith     4177920 3841258  336662       92% <<WARNING
       sun4x_56.bin   4423680 3174500 1249180       72%

Privilege Required

The issuer must have the l (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

Related Information

fs examine

© IBM Corporation 2000. All Rights Reserved